Loading...
Searching...
No Matches
richardslocalresidual.hh File Reference

Element-wise calculation of the residual for the Richards model. More...

`#include <dune/common/fvector.hh>`
`#include <opm/material/common/MathToolbox.hpp>`
`#include <opm/models/common/multiphasebaseproperties.hh>`
`#include <opm/models/discretization/common/fvbaseproperties.hh>`
`#include <opm/models/richards/richardsproperties.hh>`

Go to the source code of this file.

## Classes

class | Opm::RichardsLocalResidual< TypeTag >
| Element-wise calculation of the residual for the Richards model. More...

## Namespaces

namespace | Opm
| This file contains a set of helper functions used by VFPProd / VFPInj.

## Detailed Description

Element-wise calculation of the residual for the Richards model.